net.corda.core.flows

## Class FlowException

-     public class FlowException

  Exception which can be thrown by a `class FlowLogic` at any point in its logic to unexpectedly bring it to a permanent end. The exception will propagate to all counterparty flows and will be thrown on their end the next time they wait on a FlowLogic.receive or FlowLogic.sendAndReceive. Any flow which no longer needs to do a receive, or has already ended, will not receive the exception (if this is required then have them wait for a confirmation message).

  `exception FlowException` (or a subclass) can be a valid expected response from a flow, particularly ones which act as a service. It is recommended a `class FlowLogic` document the `exception FlowException` types it can throw.

  See Also:
    `class FlowLogic`, `exception FlowException`, `class FlowLogic`, `exception FlowException`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowException(java.lang.String message, java.lang.Throwable cause)` Exception which can be thrown by a `class FlowLogic` at any point in its logic to unexpectedly bring it to a permanent end. The exception will propagate to all counterparty flows and will be thrown on their end the next time they wait on a FlowLogic.receive or FlowLogic.sendAndReceive. Any flow which no longer needs to do a receive, or has already ended, will not receive the exception (if this is required then have them wait for a confirmation message).
    `FlowException(java.lang.String message)`
    `FlowException(java.lang.Throwable cause)`
    `FlowException()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Throwable` | `getCause()`
    `java.lang.String` | `getMessage()`

- - ### Constructor Detail

    - #### FlowException

          public FlowException(java.lang.String message,
                               java.lang.Throwable cause)

      Exception which can be thrown by a `class FlowLogic` at any point in its logic to unexpectedly bring it to a permanent end. The exception will propagate to all counterparty flows and will be thrown on their end the next time they wait on a FlowLogic.receive or FlowLogic.sendAndReceive. Any flow which no longer needs to do a receive, or has already ended, will not receive the exception (if this is required then have them wait for a confirmation message).

      `exception FlowException` (or a subclass) can be a valid expected response from a flow, particularly ones which act as a service. It is recommended a `class FlowLogic` document the `exception FlowException` types it can throw.

      See Also:
        `class FlowLogic`, `exception FlowException`, `class FlowLogic`, `exception FlowException`

    - #### FlowException

          public FlowException(java.lang.String message)

    - #### FlowException

          public FlowException(java.lang.Throwable cause)

    - #### FlowException

          public FlowException()

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage()

    - #### getCause

          public java.lang.Throwable getCause()